import bpy

bl_info = {
    "name": "Quick Rigid",
    "author": "THE EMBER",
    "version": (1, 1, 0),
    "blender": (4, 0, 0),
    "location": "View3D > Press U",
    "description": "Speeds up the Rigid Body workflow with a convenient menu",
    "warning": "",
    "doc_url": "",
    "category": "Simulation",
}

from .QuickRigid import (
    AddPassiveRigidBody,
    VIEW3D_PT_QuickRigid,
    VIEW3D_MT_quick_rigid,
    VIEW3D_MT_quick_rigid_collision_submenu,
    register_keymaps,
    unregister_keymaps
)

def register():
    bpy.utils.register_class(AddPassiveRigidBody)
    bpy.utils.register_class(VIEW3D_PT_QuickRigid)
    bpy.utils.register_class(VIEW3D_MT_quick_rigid_collision_submenu)
    bpy.utils.register_class(VIEW3D_MT_quick_rigid)
    register_keymaps()

def unregister():
    unregister_keymaps()
    bpy.utils.unregister_class(VIEW3D_MT_quick_rigid)
    bpy.utils.unregister_class(VIEW3D_MT_quick_rigid_collision_submenu)
    bpy.utils.unregister_class(VIEW3D_PT_QuickRigid)
    bpy.utils.unregister_class(AddPassiveRigidBody)